Redpine: BLE radio lost issue

Bug #1757443 reported by Amitkumar Karwar on 2018-03-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
Unassigned
Xenial
Critical
Unassigned
Bionic
Critical
Unassigned
linux-firmware (Ubuntu)
Critical
Unassigned
Xenial
Critical
Unassigned
Bionic
Critical
Unassigned

Bug Description

SRU Justification

Impact: Radio stops capturing advertisements after several hours.

Fix: Updated firmware.

Test Case: See below.

Regression Potential: Limited to specific hardware.

---

Below are the steps to replicate the issue

We are doing continuous BLE scanning and monitoring the advertisements from reference device. After long periods of capture (several hours), the radio stops capturing advertisements and won't start again until we power cycle the box or manually unload/load the module via modprobe

This bug is for tracking purposes only, please don't triage.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1757443

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Shrirang Bagul (shrirang-bagul) wrote :

Required for both Xenial as well as Bionic.

description: updated
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Critical
Changed in linux-firmware (Ubuntu):
importance: Undecided → Critical
Changed in linux (Ubuntu Xenial):
status: New → Triaged
Changed in linux (Ubuntu Bionic):
status: Confirmed → Triaged
Changed in linux-firmware (Ubuntu Xenial):
status: New → Triaged
Changed in linux-firmware (Ubuntu Bionic):
status: Confirmed → Triaged
Changed in linux (Ubuntu Xenial):
importance: Undecided → Critical
Changed in linux-firmware (Ubuntu Xenial):
importance: Undecided → Critical
Seth Forshee (sforshee) wrote :

Applied for xenial. The patch sent to the list cannot be applied for bionic becuase the firmware does not exist there yet. If the firmware is needed for bionic someone will need to submit a pull request to add it.

Changed in linux-firmware (Ubuntu Xenial):
status: Triaged → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: Triaged → Incomplete
Seth Forshee (sforshee) wrote :

Oh and the bionic kernel is also missing the driver for the kernel patch.

Changed in linux (Ubuntu Bionic):
status: Triaged → Incomplete
Seth Forshee (sforshee) on 2018-04-24
description: updated
Shrirang Bagul (shrirang-bagul) wrote :

The Bionic kernel will switch to the existing driver in the kernel (http://kernel.ubuntu.com/git/ubuntu/ubuntu-bionic.git/tree/drivers/net/wireless/rsi) to support RS9113 WiFi+BT combo module on Dell Edge 300X IoT gateways.

HWE is working with Redpine to fix issues in this driver to for 18.04 server support.

Seth Forshee (sforshee) wrote :

In that case I'd suggest someone send a pull request for adding the firmware from bionic. However if the driver that needs the firmware is upstream then it would also make sense to get the firmware into upstream linux-firmware.

Shrirang Bagul (shrirang-bagul) wrote :

Yes, for Bionic, Redpine will push their FW into upstream linux-firmware.

Shrirang Bagul (shrirang-bagul) wrote :

For Xenial, when can we expect the Ubuntu-1.157.18 release?

Amitkumar Karwar (amitkarwar) wrote :

Reply C#7,

Latest Redpine firmware(1.6.1) is already available in upstream linux-firmware.git
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/log/rsi

Seth Forshee (sforshee) wrote :

I uploaded 1.157.18 last week, it's still sitting in the unapproved queue though.

Łukasz Zemczak (sil2100) wrote :

Accepting this for xenial. Normally we'd block until the fix is in the devel release, but in this case the required firmware is not present in that release (so we're not regressing with the upgrade path). But please SRU the fixes with the firmware itself to bionic if ready.

Hello Amitkumar, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Seth Forshee (sforshee) wrote :

@Amitkumar, just to confirm if I update bionic's linux-firmware with the latest upstream driver it will have all needed fixes?

Amitkumar Karwar (amitkarwar) wrote :

Yes. Upstream linux-firmware.git has all the fixes

Seth Forshee (sforshee) wrote :

Thanks, I've updated the firmware in git for bionic. Will upload that once I finish with another update.

Also, please note that the update for xenial is in -proposed and needs verification.

Changed in linux-firmware (Ubuntu Bionic):
status: Incomplete → Fix Committed
tags: added: verification-done-xenial
Brian Murray (brian-murray) wrote :

Could you please provide some information about how you verified the fix for xenial?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.18

---------------
linux-firmware (1.157.18) xenial; urgency=medium

  * Redpine: BLE scanning for nearby beacons per second is too low and result
    high loss rate (LP: #1753439)
    - UBUNTU: linux-firmware: update firmware images for Redpine 9113 chipset

  * Redpine: BLE radio lost issue (LP: #1757443)
    - UBUNTU: linux-firmware: update firmware images for Redpine 9113 chipset

  * Update firmware for 18.04 hwe kernel (LP: #1763823)
    - linux-firmware: liquidio: update firmware to v1.4.2
    - linux-firmware: liquidio: update firmware to v1.5.1
    - linux-firmware: liquidio: update firmware to v1.6.0
    - firmware: tegra: Add VIC firmware
    - linux-firmware: liquidio: update firmware to v1.6.1
    - rtlwifi: rtl8822be: Add firmware for new driver/device
    - linux-firmware/i915: Add Geminilake DMC version 1.04
    - iwlwifi: add new firmware version 34 for 8000C and 8265
    - linux-firmware: liquidio: update firmware to v1.7.0
    - iwlwifi: add firmware version 34 for new 9000 series
    - amdgpu: add new CP firmware for polaris chips
    - Mellanox: Add new mlxsw_spectrum firmware 13.1530.152
    - brcm: introduce firmware for bcm43430 revision 0
    - amdgpu: add firmware for Raven
    - brcm: add CYW4373 firmwares and Cypress license file
    - amdgpu: update vcn firmware for raven
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - Revert "UBUNTU: Remove duplicate bnx2 firmware"
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - UBUNTU: update nic-firmware.lst for 18.04 hwe kernel

  * Update Qualcomm QCA6174-HMC (DW1820) to comply with CE-RED (Radio
    Emissions Directive) (LP: #1752044)
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00079-QCARMSWPZ-1
    - ath10k: QCA6174 hw3.0: update board-2.bin

 -- Seth Forshee <email address hidden> Tue, 24 Apr 2018 10:58:13 -0500

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Amitkumar, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done-bionic
tags: added: verification-needed-bionic
removed: verification-done-bionic
Seth Forshee (sforshee) wrote :

@Shrirang: I suspect that they're going to ask again for information about how you verified ...

After installing 1.173.1 from bionic-proposed:

$ apt list linux-firmware
Listing...
linux-firmware/bionic-proposed,now 1.173.1 all [installed,automatic]
linux-firmware/bionic 1.173 all

Redpine driver reports correct FW revision (1.6.1):

May 22 07:24:36 caracalla kernel: rsi_91x: ================================================
May 22 07:24:36 caracalla kernel: rsi_91x: Firmware file : rsi/rs9113_wlan_bt_dual_mode.rps
May 22 07:24:36 caracalla kernel: rsi_91x: Operating mode : 13 [Wi-Fi STA + BT DUAL]
May 22 07:24:36 caracalla kernel: rsi_91x: FW Version : 1.6.1
May 22 07:24:36 caracalla kernel: rsi_91x: ================================================
May 22 07:24:36 caracalla kernel: rsi_91x: ================ RSI Version Info ==============
May 22 07:24:36 caracalla kernel: rsi_91x: ================================================

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.1

---------------
linux-firmware (1.173.1) bionic; urgency=medium

  * Redpine: BLE radio lost issue (LP: #1757443)
    - linux-firmware: rsi: update firmware images for Redpine 9113 chipset

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: add some new FW versions and update older ones
    - iwlwifi: update firmwares for 3160, 3168 and 7265

 -- Seth Forshee <email address hidden> Fri, 18 May 2018 13:09:45 -0500

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Xenial):
status: Triaged → Fix Released
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux (Ubuntu Bionic):
status: Incomplete → Fix Released
Changed in linux-firmware (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers